<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

        public function up()
    {
        if (!Schema::hasColumn('users', 'no_pekerja')) {
            Schema::table('users', function (Blueprint $table) {
                $table->string('no_pekerja')->unique()->after('name');
            });
        }
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('no_pekerja');
            $table->dropUnique(['no_pekerja']);
        });
    }



};
